## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csHash< T, K >::GlobalIterator Class Reference

An iterator class for the hash. More...

`#include <csutil/hash.h>`

List of all members.

## Public Member Functions

void | Advance ()
| Advance the iterator of one step.
| GlobalIterator (const Iterator &o)
| Copy constructor.
bool | HasNext () const
| Returns a boolean indicating whether or not the hash has more elements.
const T & | Next (K &key)
| Get the next element's value and key.
const T & | Next ()
| Get the next element's value.
const T & | NextNoAdvance (K &key)
| Get the next element's value and key, don't move the iterator.
const T & | NextNoAdvance ()
| Get the next element's value, don't move the iterator.
GlobalIterator & | operator= (const GlobalIterator &o)
| Assignment operator.
void | Reset ()
| Move the iterator back to the first element.

## Protected Member Functions

| GlobalIterator (const csHash< T, K > *hash0)

## Friends

class | csHash< T, K >

## Detailed Description

### template<class T, class K = unsigned int>
class csHash< T, K >::GlobalIterator

An iterator class for the hash.

Definition at line 629 of file hash.h.

## Constructor & Destructor Documentation

template<class T, class K = unsigned int>
csHash< T, K >::GlobalIterator::GlobalIterator | ( | const Iterator & | o | ) | `[inline]`

| Copy constructor. Definition at line 665 of file hash.h.

## Member Function Documentation

template<class T, class K = unsigned int>
void csHash< T, K >::GlobalIterator::Advance | ( |  | ) | `[inline]`

| Advance the iterator of one step. Definition at line 689 of file hash.h.

template<class T, class K = unsigned int>
bool csHash< T, K >::GlobalIterator::HasNext | ( |  | ) | const`[inline]`

| Returns a boolean indicating whether or not the hash has more elements. Definition at line 682 of file hash.h.

template<class T, class K = unsigned int>
const T& csHash< T, K >::GlobalIterator::Next | ( | K & | key | ) | `[inline]`

| Get the next element's value and key. Definition at line 717 of file hash.h. References csHash< T, K >::Elements.

template<class T, class K = unsigned int>
const T& csHash< T, K >::GlobalIterator::Next | ( |  | ) | `[inline]`

| Get the next element's value. Definition at line 702 of file hash.h.

template<class T, class K = unsigned int>
const T& csHash< T, K >::GlobalIterator::NextNoAdvance | ( | K & | key | ) | `[inline]`

| Get the next element's value and key, don't move the iterator. Definition at line 710 of file hash.h. References csHash< T, K >::Elements.

template<class T, class K = unsigned int>
const T& csHash< T, K >::GlobalIterator::NextNoAdvance | ( |  | ) | `[inline]`

| Get the next element's value, don't move the iterator. Definition at line 696 of file hash.h. References csHash< T, K >::Elements.

template<class T, class K = unsigned int>
GlobalIterator& csHash< T, K >::GlobalIterator::operator= | ( | const GlobalIterator & | o | ) | `[inline]`

| Assignment operator. Definition at line 672 of file hash.h. References csHash< T, K >::GlobalIterator::bucket, csHash< T, K >::GlobalIterator::element, csHash< T, K >::GlobalIterator::hash, and csHash< T, K >::GlobalIterator::size.

template<class T, class K = unsigned int>
void csHash< T, K >::GlobalIterator::Reset | ( |  | ) | `[inline]`

| Move the iterator back to the first element. Definition at line 724 of file hash.h.

The documentation for this class was generated from the following file:

- csutil/hash.h